Back to Instagram
TikHub·Instagram

Instagram V1: Get post comments V2

/api/v1/instagram/v1/fetch_post_comments_v2sync$0.003 / call

Get post comments list with pagination. Returns more complete comment data including child comment previews and more metadata (TikHub · Instagram V1)

Input
  • media_idstringrequired

    Post ID (Media ID)

  • sort_orderstring

    Sorting: popular / recent (default "recent")

  • min_idstring

    Pagination cursor from previous response's nextminid

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/instagram/v1/fetch_post_comments_v2","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.